
Figure - Bug #114668
【BSP】【EVT2】【FOTA】全量包升级过程中 中控重启，板端后续不能重新升级
2022-12-16 23:12 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2022-12-16

Priority: High Due date:

Assignee: CDTS_TEST 刘勇 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212140521

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 测试人员测试手法问题

Description

【前提条件】

1.中控环境搭建好

2.中控环境中有全量包(FTP中文件名为：merged-qssi_figure-ota.zip )

【测试步骤】

2.用"增量包"（incr_ota-figure-user.zip）替换掉"全量包"并将其改为"update.zip" 

3.中控通过网线链接路由，路由通过网线或者wifi 链接DUT

4.中控IP：192.168.0.2 ，DUT-IP：192.168.0.18

5.进入终端，cd ~/server/目录，并运行命令

sudo ./run_https.sh

sudo ./run_orch.sh

adb shell logcat > logcat.txt

6.待功能启动

7.选择功能2（Download PACKAGE）

输入"2"->按"回车" ->输入 "1"->输入"update.zip" 

8.等待下载完成并选择运行功能0（run script ）

输入 "0"-> 按"回车"->

9.中控重启 reboot 

10.重复步骤 5~8

11.等待下载完成并选择运行功能0（run script ）

输入 "0"-> 按"回车"->等待log中有提示下载完成(download succesful)->“adb reboot " 

12.等待升级完成后，运行功能1(Rollback)

输入 “1 ” ->按“回车”-->等待提示"rollback done 100% ,done" ->"adb reboot" 

【期望结果】

12.升级成功

【实际结果】

12.升级失败,反复进入下载升级，包已下载完成，但reboot后未升级

【现象】无其他异常，仅提示

Related issues:

Copied from Figure - Bug # 114665: 【BSP】【EVT2】【FOTA】增量包升级失败 CLOSED 2022-12-16

History

#1 - 2022-12-22 10:54 - CD BSP 叶鹏 

- Status changed from New to NEED_INFO
- Assignee changed from CD BSP 叶鹏  to BPD-TMBG 刘勇

操作存在问题：

升级完成后没有重启就执行了回滚操作，这样升级切换的slot被手动回滚的操作给覆盖掉了，升级无法体现出来

#2 - 2022-12-22 17:23 - CDTS-TEST 周婷

- Assignee changed from BPD-TMBG 刘勇 to CDTS_TEST 刘勇

#3 - 2022-12-27 22:51 - CDTS_TEST 刘勇

这样操作是不允许的，客户不在乎但是他也有他自己的调用逻辑，后面联调的时候肯定会给他说，这个是必须满足的

如沟通：当前操作对于联调后的调用逻辑不符，暂无处理方法，

#4 - 2022-12-30 10:48 - CDTS_TEST 刘勇

- Status changed from NEED_INFO to ASSIGNED

#5 - 2022-12-30 10:49 - CDTS_TEST 刘勇

- Status changed from ASSIGNED to RESOLVED

- Root cause set to 测试人员测试手法问题

#6 - 2022-12-30 10:49 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFIED

#7 - 2022-12-30 10:49 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED

Files

logcat-boxes-fota-dut_screen_not_poweroff.txt 3.38 MB 2022-12-16 CDTS_TEST 刘勇

logcat-boxes-fota-dut_inor_upgrade_fail.txt 2.28 MB 2022-12-16 CDTS_TEST 刘勇

logcat-boxes-fota-dut-PCunconnect_To_connectagain_unupgrade.txt 6.4 MB 2022-12-16 CDTS_TEST 刘勇
